## org.gnu.gtk.event
Interface KeyListener

public interface KeyListener

This is the listener interface for receiving keyboard events on a Widget. Objects that are interested in keyboard events should implement this Interface and then register with the `Widget` using the ``Widget.addListener(KeyListener)`` method.

An example of using this to trap the Escape key:

     Window _window;
     ...
     _window.addListener(new KeyListener() {
          public boolean keyEvent(KeyEvent event) {
         		int key = event.getKeyval();
         		if (key == KeyValue.Escape) {
         			_window.hide();
         			return true;
         		} else {
         			return false;
         		}
         	}
     });

See Also:
  `KeyEvent`, `The list of KeyEvent types`

Method Summary
`boolean` `keyEvent(KeyEvent event)` Process a keystroke.

Method Detail

### keyEvent

    public boolean keyEvent(KeyEvent event)

  Process a keystroke.

  Parameters:
    `event` - gives you access to the various methods which help you identify the keystroke. See `KeyEvent.getKeyval()`
  Returns:
    Return true if you have handled the keystroke and do not want it to propagate to the default GTK handlers. Returning false will allow the keystroke to go upstream after you're done doing whatever you're doing.